%define pkg_name        Params-Coerce
%define pkg_version     0.14
%define rpm_pkg_version 0.14
%define rpm_pkg_release 1.n0i.2

Summary:       Allows your classes to do coercion of parameters
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AD/ADAMK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Carp)
BuildRequires: perl(Params::Util) >= 0.05
BuildRequires: perl(Scalar::Util) >= 1.11
BuildRequires: perl(Test::More) >= 0.47
%endif


%description
Params::Coerce is intended for higher-order coercion between various types
of different objects, for use mainly in subroutine and (mostly) method
parameters, particularly on external APIs.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.14-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.14

* Tue Jul 04 2006 Marius Feraru <altblue@n0i.net> - 0.13-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
